Name:           python-pyobject
Version:        1.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A multifunctional all-in-one utility tool for managing internal Python objects, compatible with nearly all Python 3 versions. 一个多功能合一的提供操作Python对象底层工具的Python包, 支持几乎所有Python 3版本。 

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/qfcy/pyobject
Source:         %{pypi_source pyobject}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyobject' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyobject
Summary:        %{summary}

%description -n python3-pyobject %_description


%prep
%autosetup -p1 -n pyobject-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyobject -f %{pyproject_files}


%changelog
%autochangelog